# Verzeichnis-Synchronisation ausführen

`POST https://{tenant}.stamp.eu/rest/sso/sync/{provider}/commit`

Applies the plan of one preview run. The run has to belong to this
provider, be younger than 30 minutes and not have been committed before;
anything else answers 422.

## Pfadparameter

| Name | Typ | Pflicht |
| --- | --- | --- |
| `provider` | string | ja |

## Request-Body

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `run_id` | string | ja |

## Antworten

### 200: `DirectorySyncRunResource`

| Feld | Typ | Pflicht |
| --- | --- | --- |
| `data` | object | ja |

### 401: Unauthenticated

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Error overview. |

### 422: Validation error

| Feld | Typ | Pflicht | Beschreibung |
| --- | --- | --- | --- |
| `message` | string | ja | Errors overview. |
| `errors` | object | ja | A detailed description of each field that failed validation. |
